MyGUI: MyGUI::IResource Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends
MyGUI::IResource Class Reference

`#include <MyGUI_IResource.h>`

Inheritance diagram for MyGUI::IResource:
[legend]

## Public Types
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
| IResource ()=default
| ~IResource () override=default
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
void | deserialization (xml::ElementPtr _node, Version) override

## Protected Attributes
std::string | mResourceName

## Friends
class | ResourceManager

## Detailed Description

Definition at line 23 of file MyGUI_IResource.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::IResource::Base

Definition at line 29 of file MyGUI_IResource.h.

## ◆ RTTIBase

IResource MyGUI::IResource::RTTIBase

Definition at line 29 of file MyGUI_IResource.h.

## Constructor & Destructor Documentation

## ◆ IResource() [1/2]

MyGUI::IResource::IResource | ( |  | ) |
| protecteddefault

## ◆ ~IResource()

MyGUI::IResource::~IResource | ( |  | ) |
| overrideprotecteddefault

## ◆ IResource() [2/2]

MyGUI::IResource::IResource | ( | IResource const & |  | ) |
| protecteddelete

## Member Function Documentation

## ◆ deserialization()

void MyGUI::IResource::deserialization | ( | xml::ElementPtr | _node,
|  | Version | )
| inlineoverrideprotectedvirtual

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, and MyGUI::ResourceTrueTypeFont.

Definition at line 48 of file MyGUI_IResource.h.

## ◆ getClassTypeName()

static const std::string & MyGUI::IResource::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 29 of file MyGUI_IResource.h.

## ◆ getResourceName()

const std::string & MyGUI::IResource::getResourceName | ( |  | ) | const
| inline

Definition at line 32 of file MyGUI_IResource.h.

## ◆ getTypeName()

virtual const std::string & MyGUI::IResource::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::IFont, MyGUI::IPointer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, and MyGUI::ResourceTrueTypeFont.

Definition at line 29 of file MyGUI_IResource.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::IResource::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 29 of file MyGUI_IResource.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IResource::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::IFont, MyGUI::IPointer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, and MyGUI::ResourceTrueTypeFont.

Definition at line 29 of file MyGUI_IResource.h.

## ◆ operator=()

IResource & MyGUI::IResource::operator= | ( | IResource const & |  | ) |
| protecteddelete

## ◆ setResourceName()

void MyGUI::IResource::setResourceName | ( | const std::string & | _value | ) |
| inline

Definition at line 37 of file MyGUI_IResource.h.

## Friends And Related Symbol Documentation

## ◆ ResourceManager

friend class ResourceManager
| friend

Definition at line 27 of file MyGUI_IResource.h.

## Field Documentation

## ◆ mResourceName

std::string MyGUI::IResource::mResourceName
| protected

Definition at line 54 of file MyGUI_IResource.h.

The documentation for this class was generated from the following file:

- MyGUI_IResource.h